import {BasicColumn, FormSchema} from '@/components/Table';

export const configTableColumn: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'field',
  },
  {
    title: '参数code',
    dataIndex: 'code',
  },
  {
    title: '参数类型',
    dataIndex: 'type',
  },
  {
    title: '注释',
    dataIndex: 'remark',
  },
  {
    title: '是否必填',
    dataIndex: 'required',
  },
  {
    title: '默认值',
    dataIndex: 'value',
  },
  {
    title: '示例值',
    dataIndex: 'examValue',
  },
];
export const backTableColumn: BasicColumn[] = [
  {
    title: '列名',
    dataIndex: 'field',
  },
  {
    title: '参数code',
    dataIndex: 'code',
  },
  {
    title: '参数类型',
    dataIndex: 'type',
  },
  {
    title: '注释',
    dataIndex: 'remark',
  },
];
export const powerTableColumn: BasicColumn[] = [
  {
    title: '权限类型',
    dataIndex: 'type',
  },
  {
    title: '目标域',
    dataIndex: 'range',
  },
  {
    title: '对应申请',
    dataIndex: 'apply',
    slots: { customRender: 'apply' },
  },
  {
    title: '数据范围',
    dataIndex: 'dataRange',
  },
  {
    title: '权限状态',
    dataIndex: 'powerStatus',
    slots: { customRender: 'powerStatus' },
  },
  {
    title: '无效原因',
    dataIndex: 'remark',
  },
];
