import { FormSchema } from '@/components/Form';

export const callFormSchema: FormSchema[] = [
  {
    label: '申请标题',
    field: 'title',
    required: true,
    component: 'Input',
    componentProps: {
      style: {
        width: '90%',
      },
    },
  },
  {
    label: '申请理由',
    field: 'reason',
    component: 'Input',
    componentProps: {
      style: {
        width: '90%',
      },
    },
  },
  {
    label: '调用有效期',
    field: 'time',
    component: 'DatePicker',
    componentProps: {
      style: {
        width: '90%',
      },
    },
  },
];
